Bug 202162 - [XEN-HVM] Can NOT boot HVM guests with using SDL graphics on both IA32-pae/IA32e
[XEN-HVM] Can NOT boot HVM guests with using SDL graphics on both IA32-pae/IA32e
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Martin Jenner
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2006-08-11 01:51 EDT by Zhao Yunfeng
Modified: 2008-02-26 18:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 18:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of /usr/lib/xen/bin/qemu-dm (3.86 KB, text/plain)
2006-08-14 02:06 EDT, Zhao Yunfeng
no flags Details

  None (edit)
Description Zhao Yunfeng 2006-08-11 01:51:55 EDT
Description of problem:
I cannot boot vmx guests with using SDL graphics 
Following messages could be found in qemu log file:
##############################################
shared page at pfn:7fff, mfn: 210f4
Could not initialize SDL - exiting
##############################################
Seems SDL has not been compiled in qemu-dm.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-08-11 07:48:51 EDT
It's actually built there (we BuildRequires SDL-devel and I just checked the
build logs to ensure that qemu picked up SDL support).  So something else is
causing it to not initialize properly.
Comment 2 Zhao Yunfeng 2006-08-14 02:04:57 EDT
Here is ldd output of qemu-dm:
	linux-gate.so.1 =>  (0xb7fa2000)
	libm.so.6 => /lib/i686/nosegneg/libm.so.6 (0x45085000)
	libxenctrl.so.3.0 => /usr/lib/libxenctrl.so.3.0 (0x450c8000)
	libxenguest.so.3.0 => /usr/lib/libxenguest.so.3.0 (0x450ee000)
	libxenstore.so.3.0 => /usr/lib/libxenstore.so.3.0 (0x45337000)
	libpthread.so.0 => /lib/i686/nosegneg/libpthread.so.0 (0x451d9000)
	libz.so.1 => /usr/lib/libz.so.1 (0x450b3000)
	libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x457f2000)
	libutil.so.1 => /lib/libutil.so.1 (0x46922000)
	libc.so.6 => /lib/i686/nosegneg/libc.so.6 (0x44f48000)
	/lib/ld-linux.so.2 (0x44f2b000)
	libdl.so.2 => /lib/libdl.so.2 (0x450ad000)
Seems libSDL has already been compiled in qemu-dm.

But after executed /usr/lib/xen/bin/qemu-dm,I cannot find the help info for 
SDL in the /var/log/qemu-dm.xxxx.log.
I attached the log file in the next comment.

thanks
Yunfeng
Comment 3 Zhao Yunfeng 2006-08-14 02:06:43 EDT
Created attachment 134117 [details]
output of /usr/lib/xen/bin/qemu-dm

There is no help info for SDL.
Comment 4 Jeremy Katz 2006-08-14 15:40:29 EDT
It's getting linked in statically for some reason (see strings
/usr/lib/xen/bin/qemu-dm | grep -i sdl).  Not sure why that's not then enabling
things.
Comment 6 Matthew Miller 2007-04-06 15:43:42 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 7 Red Hat Bugzilla 2007-07-24 19:56:45 EDT
change QA contact
Comment 8 Chris Lalancette 2008-02-26 18:16:39 EST
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks

Note You need to log in before you can comment on or make changes to this bug.